API ReferenceAgents
List agents
List agents you manage. Managers see their agents, leaders see managers and their agents. Admins see all agents in the organization.
Query Parameters
size?integer
Page size
Range
0 < valueDefault
20after?string
Next page cursor
before?string
Previous page cursor
role?string
Filter by role
Value in
- "AGENT"
- "MANAGER"
- "LEADER"
status?string
Filter by status
Value in
- "ACTIVE"
- "INACTIVE"
- "SUSPENDED"
territory?string
Filter by territory
q?string
Search by name or email
scope?"OWN"
Restrict to yourself and agents you supervise (forces subtree scope for admins).
Value in
- "OWN"
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/agents"{ "code": "BAD_REQUEST", "description": "Bad Request"}{ "code": "UNAUTHORISED", "description": "Unauthorised"}{ "code": "WAITING_LIST", "description": "User is in the waiting list"}{ "code": "TOO_MANY_REQUESTS", "description": "Too Many Requests"}{ "code": "INTERNAL_SERVER_ERROR", "description": "Internal Server Error"}